Subject: bug#25565: mark-whole-buffer and unnecessary (point) call

From: Stephen Berman <[email-masked]>
Date: Sun, 29 Jan 2017 20:48:52 +0100

On Sun, 29 Jan 2017 15:27:22 +0200 dptd dptd <[email-masked]> wrote:

>> On 29 Jan 2017, at 12:41, Stephen Berman <[email-masked]> wrote:
>> 
>> On Sun, 29 Jan 2017 09:23:40 +0200 dptd dptd <[email-masked]> wrote:
>> 
>>>> On 29 Jan 2017, at 05:40, Eli Zaretskii <[email-masked]> wrote:
[...]
>>>> If you type "C-x 4 a" inside every function, Emacs will format the
>>>> list for you, even if it's longer than a single line.  Then write the
>>>> description at the end.
>>>> 
>>> 
>>> I didn’t knew about this command! It’s awesome - thank you. However it isn’t
>>> breaking my lines when
>>> longer than 78 characters. :( I have tried from both - calling directly from
>>> the function source code
>>> and from the magit’s staged changes.
>> 
>> Do you have `fill-column' set somewhere?
>> 
>> Steve Berman
>
> Actually yes, I do.
>
> C-v fill-column
> --------
> fill-column is a variable defined in ‘C source code’.
> Its value is 70
> Local in buffer ChangeLog; global value is the same.
> --------

This is is the standard value in ChangeLog mode, so I don't know why you
aren't getting line-breaking.  You could check what happens when you
start Emacs with -Q, and if it works there, that means something in your
initializations, or a library you've loaded, is causing the problem.  In
that case, you can bisect your init file to find the culpable bit (i.e.,
comment out half of it, restart Emacs with the result, if the problem
still occurs, comment out half of the uncommented part and repeat,
otherwise reverse the commenting out and do the same).

> Here is the newest patch.
> --------
> From c869759f7d7fddb8f8b9fbd9fa7360b1d17edf57 Mon Sep 17 00:00:00 2001
> From: Bartosz Duszel <[email-masked]>
> Date: Sun, 29 Jan 2017 14:47:23 +0200
> Subject: [PATCH] Remove unnecessary argument `(point)' from calls to
>  `push-mark'.
>
> * lisp/textmodes/bib-mode.el (mark-bib):
> * lisp/simple.el (mark-whole-buffer, yank):
> * lisp/ses.el (ses--advice-yank, ses-mark-row, ses-mark-column):
> * lisp/progmodes/xscheme.el (xscheme-yank):
> * lisp/progmodes/verilog-mode.el (verilog-mark-defun):
> * lisp/progmodes/perl-mode.el (perl-mark-function):
> * lisp/progmodes/pascal.el (pascal-mark-defun):
> * lisp/progmodes/meta-mode.el (meta-mark-defun):
> * lisp/progmodes/icon.el (mark-icon-function):
> * lisp/progmodes/cc-cmds.el (c-mark-function):
> * lisp/obsolete/vip.el (ex-goto):
> * lisp/obsolete/vi.el (vi-put-before):
> * lisp/mouse.el (mouse-yank-primary):
> * lisp/menu-bar.el (menu-bar-select-yank):
> * lisp/mail/sendmail.el (mail-yank-original):
> * lisp/hexl.el (hexl-beginning-of-buffer, hexl-end-of-buffer):
> * lisp/emulation/viper-cmd.el (viper-mark-beginning-of-buffer):
> (viper-mark-end-of-buffer):

There should be no colon `:' after `(viper-mark-beginning-of-buffer)',
since `(viper-mark-end-of-buffer)' in the next line is in the same file.

> * lisp/cedet/semantic/senator.el (senator-mark-defun):
> * lisp/allout.el (allout-mark-topic): Remove unnecessary argument
> `(point)' from calls to `push-mark'.

Steve Berman